SMALLTALK(1)

NAME
Smalltalk - the GNU Smalltalk virtual machine

DESCRIPTION
GNU Smalltalk usage:

    gst [ flag ... ] [ file ... ] gst [ flag ... ] { -f | --file } file [ args ... ]

Short flags can appear either as -xyz or as -x -y -z. If an option is mandatory for a long option, it is also mandatory for a short one. The currently defined set of flags is:

-a --smalltalk-args
    Pass the remaining arguments to Smalltalk.

-c --core-dump
    Dump core on fatal signal.

-D --declaration-trace
    Trace compilation of all loaded files.

-E --execution-trace
    Trace execution of all loaded files.

-g --no-gc-message
    Do not print garbage collection messages.

-H --help
    Print this message and exit.

-i --rebuild-image
    Ignore the image file; rebuild it from scratch.

--maybe-rebuild-image
    Rebuild the image file from scratch if any kernel file is newer.

-I --image FILE
    Instead of `gst.im', use FILE as the image file, and ignore the kernel files' timestamps.

-K --kernel-file FILE
    Make FILE's path relative to the image path.

-q --quiet --silent
    Do not print execution information.

-r --regression-test
    Run in regression test mode, i.e. make printed messages constant.

-S --snapshot
    Save a snapshot just before exiting.

-v --version
    Print the Smalltalk version number and exit.

-V --verbose
    Show names of loaded files and execution stats.

--emacs-mode
    Execute as a `process' (from within Emacs)

--kernel-directory DIR
    Look for kernel files in directory DIR.

--no-user-files
    Don't read user customization files.

-   Read input from standard input explicitly.

Files are loaded one after the other. After the last one is loaded, Smalltalk will exit. If no files are specified, Smalltalk reads from the terminal, with prompts.

In the second form, the file after -f is the last loaded file; any parameter after that file is passed to the Smalltalk program.

AUTHOR
Written by Steve Byrne (sbb@gnu.org) and Paolo Bonzini (bonzini@gnu.org)

GNU Smalltalk comes with NO WARRANTY, to the extent permitted by law. You may redistribute copies of GNU Smalltalk under the terms of the GNU General Public License. For more information, see the file named COPYING.

Using default kernel path: (null) Using default image path: (null)

REPORTING BUGS
Report bugs to <help-smalltalk@gnu.org> GNU Smalltalk home page: <http://smalltalk.gnu.org/>. General help using GNU software: <http://www.gnu.org/gethelp/>.

Copyright 2009 Free Software Foundation, Inc.

SEE ALSO
The full documentation for Smalltalk is maintained as a Texinfo manual. If the info and Smalltalk programs are properly installed at your site, the command

    info gst

should give you access to the complete manual.